Run Gartner Market Products
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-gartner-markets-products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"market": "data-loss-prevention",
"max_items": 25,
"sort": "averageRating_desc"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-gartner-markets-products"
payload = {
"market": "data-loss-prevention",
"max_items": 25,
"sort": "averageRating_desc"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({market: 'data-loss-prevention', max_items: 25, sort: 'averageRating_desc'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-gartner-markets-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "gartner_market_products",
"market": "data-loss-prevention",
"max_items": 2,
"sort": "ratingsCount_desc",
"reviewed_last_12_months": false,
"company_size": [],
"industry": [],
"region": [],
"partial": false,
"human": "# Gartner Peer Insights market products\n\n- **Market:** data-loss-prevention\n- **Sort:** ratingsCount_desc\n- **Max items:** 2\n- **Records returned:** 2\n- **Proxy traffic:** 10.9 KB",
"machine": {
"total_items": 2,
"market_product_count": 93,
"items": [
{
"id": "11424",
"name": "Forcepoint DLP",
"alias": "forcepoint-dlp",
"average_rating": 4.4,
"review_count": 611,
"rating_distribution": {
"star_1": 1,
"star_2": 8,
"star_3": 48,
"star_4": 282,
"star_5": 272
},
"image": "https://www.gartner.com/pi/vendorimages/forcepoint_data-loss-prevention_1675723137690.png",
"description": "The Forcepoint DLP solution prevents exfiltration of sensitive data and delivers unified policy management with centralized control of all channels or security vectors from a single policy. This allows visibility and control of your data everywhere your people work and anywhere your data resides. Forcepoint simplifies DLP deployment and ongoing management with over 1500 pre-defined templates, poli",
"vendor_name": "Forcepoint",
"vendor_alias": "forcepoint",
"is_legacy": false,
"review_summaries": [
"Issues With Agent Stability and Application Control Impact Forcepoint Data Loss Prevention",
"Continuous Security Validation and Automation Enhance Defense Capabilities and Efficiency",
"Solid enterprise protection, though ongoing effort needed for optimal results"
],
"alternatives": [
{
"id": "142380",
"name": "Microsoft Purview Data Loss Prevention",
"alias": "microsoft-purview-data-loss-prevention",
"average_rating": 4.2,
"review_count": 65,
"image": "https://www.gartner.com/pi/vendorimages/microsoft_data-loss-prevention_1696876041529.jpg",
"vendor_name": "Microsoft",
"vendor_alias": "microsoft",
"url": "https://www.gartner.com/reviews/product/microsoft-purview-data-loss-prevention"
},
{
"id": "11442",
"name": "Trellix Data Loss Prevention (DLP)",
"alias": "trellix-data-loss-prevention-dlp",
"average_rating": 4.5,
"review_count": 380,
"image": "https://www.gartner.com/pi/vendorimages/trellix_data-loss-prevention_1666071792343.png",
"vendor_name": "Trellix",
"vendor_alias": "trellix",
"url": "https://www.gartner.com/reviews/product/trellix-data-loss-prevention-dlp"
}
],
"url": "https://www.gartner.com/reviews/product/forcepoint-dlp",
"position": 1
},
{
"id": "12606",
"name": "Cisco Umbrella",
"alias": "cisco-umbrella",
"average_rating": 4.4,
"review_count": 491,
"rating_distribution": {
"star_1": 0,
"star_2": 1,
"star_3": 30,
"star_4": 202,
"star_5": 258
},
"image": "https://www.gartner.com/pi/vendorimages/cisco_1591887602537.png",
"description": "Cisco Umbrella is a cloud-delivered security software designed to protect users from online threats and enforce security policies across networks and devices. It enables organizations to secure internet access by offering DNS-layer protection, web filtering, and secure gateway capabilities. The software provides visibility into user activity, blocks malicious domains and content, and prevents conn",
"vendor_name": "Cisco Systems",
"vendor_alias": "cisco-systems",
"is_legacy": false,
"review_summaries": [
"AI-driven accuracy delivers fast incident response to evolving data loss security threats",
"Effective DNS layer protection and AnyConnect integration, reporting needs work",
"Control de tráfico web desde cualquier ubicación con ajustes en listas de acceso"
],
"alternatives": [
{
"id": "135894",
"name": "Zscaler Unified Data Protection Platform",
"alias": "zscaler-unified-data-protection-platform",
"average_rating": 4.5,
"review_count": 29,
"image": "https://www.gartner.com/imagesrv/peer-insights/vendors/logos/zscaler.png",
"vendor_name": "Zscaler",
"vendor_alias": "zscaler",
"url": "https://www.gartner.com/reviews/product/zscaler-unified-data-protection-platform"
},
{
"id": "65904",
"name": "Barracuda Email Protection",
"alias": "barracuda-email-protection",
"average_rating": 4.5,
"review_count": 15,
"image": "https://www.gartner.com/pi/vendorimages/barracuda_1770308028434.png",
"vendor_name": "Barracuda",
"vendor_alias": "barracuda",
"url": "https://www.gartner.com/reviews/product/barracuda-email-protection"
}
],
"url": "https://www.gartner.com/reviews/product/cisco-umbrella",
"position": 2
}
],
"proxy_traffic_bytes": 11132
},
"total_points": 2
}Product reviews
Run Gartner Market Products
Lists ranked Gartner Peer Insights products within a market, with ratings and vendors. Filters use the labels shown on Gartner Peer Insights. List endpoint: 1 point per returned record.
POST
/
functions
/
v1
/
run-gartner-markets-products
Run Gartner Market Products
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Market alias or URL.
Maximum number of records to return (1-250). Billed at 1 point per returned record.
Required range:
1 <= x <= 250Available options:
ratingsCount_desc, ratingsCount_asc, averageRating_desc, averageRating_asc, name_asc, name_desc Deployment region labels.
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.